Bug 1468820 - [abrt] gnome-calendar: gtk_stack_set_visible_child_name(): gnome-calendar killed by signal 11
[abrt] gnome-calendar: gtk_stack_set_visible_child_name(): gnome-calendar kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-calendar (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c6bb73b251301035ff4a159cb17...
:
: 1467927 1470520 1484990 1491950 1497565 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-08 06:23 EDT by lennart_reuther
Modified: 2018-05-29 07:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.81 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: cgroup (321 bytes, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: core_backtrace (17.85 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: cpuinfo (1.50 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: dso_list (19.12 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: environ (1.46 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: exploitable (100 bytes, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: maps (90.95 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: open_fds (1.38 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details
File: var_log_messages (828 bytes, text/plain)
2017-07-08 06:23 EDT, lennart_reuther
no flags Details

  None (edit)
Description lennart_reuther 2017-07-08 06:23:25 EDT
Version-Release number of selected component:
gnome-calendar-3.24.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-calendar
journald_cursor: s=9309e3d730944b078e7b089dba401da8;i=2b986;b=40090bfa2a98401eb5d96e92cf3c9719;m=821d35002;t=553cb8392c66c;x=771a9d91b16e78c1
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1839
 #1 gcal_year_view_component_removed at views/gcal-year-view.c:1867
 #2 gcal_year_view_component_changed at views/gcal-year-view.c:1906
 #3 cal_data_model_foreach_subscriber_in_range at e-cal-data-model.c:623
 #4 cal_data_model_process_added_component at e-cal-data-model.c:905
 #5 cal_data_model_process_modified_or_added_objects at e-cal-data-model.c:1246
 #6 g_cclosure_marshal_VOID__POINTERv at gmarshal.c:2026
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 cal_client_view_emit_objects_modified_idle_cb at /usr/src/debug/evolution-data-server-3.24.3/src/calendar/libecal/e-cal-client-view.c:234
 #15 g_main_context_iteration at gmain.c:4033
Comment 1 lennart_reuther 2017-07-08 06:23:30 EDT
Created attachment 1295480 [details]
File: backtrace
Comment 2 lennart_reuther 2017-07-08 06:23:32 EDT
Created attachment 1295481 [details]
File: cgroup
Comment 3 lennart_reuther 2017-07-08 06:23:34 EDT
Created attachment 1295482 [details]
File: core_backtrace
Comment 4 lennart_reuther 2017-07-08 06:23:35 EDT
Created attachment 1295483 [details]
File: cpuinfo
Comment 5 lennart_reuther 2017-07-08 06:23:37 EDT
Created attachment 1295484 [details]
File: dso_list
Comment 6 lennart_reuther 2017-07-08 06:23:38 EDT
Created attachment 1295485 [details]
File: environ
Comment 7 lennart_reuther 2017-07-08 06:23:40 EDT
Created attachment 1295486 [details]
File: exploitable
Comment 8 lennart_reuther 2017-07-08 06:23:41 EDT
Created attachment 1295487 [details]
File: limits
Comment 9 lennart_reuther 2017-07-08 06:23:43 EDT
Created attachment 1295488 [details]
File: maps
Comment 10 lennart_reuther 2017-07-08 06:23:45 EDT
Created attachment 1295489 [details]
File: open_fds
Comment 11 lennart_reuther 2017-07-08 06:23:46 EDT
Created attachment 1295490 [details]
File: proc_pid_status
Comment 12 lennart_reuther 2017-07-08 06:23:47 EDT
Created attachment 1295491 [details]
File: var_log_messages
Comment 13 Igor Gnatenko 2017-07-23 04:44:20 EDT
*** Bug 1470520 has been marked as a duplicate of this bug. ***
Comment 14 Igor Gnatenko 2017-07-23 04:46:07 EDT
*** Bug 1467927 has been marked as a duplicate of this bug. ***
Comment 15 Eduardo Silva 2017-08-24 14:50:37 EDT
*** Bug 1484990 has been marked as a duplicate of this bug. ***
Comment 16 spamemichzu 2017-09-15 02:12:47 EDT
*** Bug 1491950 has been marked as a duplicate of this bug. ***
Comment 17 rugk 2017-10-01 18:28:20 EDT
*** Bug 1497565 has been marked as a duplicate of this bug. ***
Comment 18 Jeff Gehlbach 2017-11-13 14:09:43 EST
Similar problem has been detected:

Cause is a bit of a mystery. When I have the calendar app in the foreground with the week view (not month or year view)
selected, clicking the "previous" button or using the alt+left-arrow shortcut equivalent seems to trigger a crash
reliably. But also sometimes the app just crashes in the background. I'm syncing a dozen or so calendars all from the
same Nextcloud server via CalDAV.

I'm happy to collaborate on this report if it will help. Glad to see something that's not Evolution or Lightning making
progress.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-calendar
journald_cursor: s=6a9510bfbde149d9afabbc6fa3e997ca;i=d16f6;b=03cdb895ebf64bcc84bfb02e3b27e99d;m=475c694903;t=55de1bf4b8ac6;x=c058d822fc6a0412
kernel:         4.13.9-200.fc26.x86_64
package:        gnome-calendar-3.24.3-1.fc26
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Fedora End Of Life 2018-05-03 04:02:28 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2018-05-29 07:21:13 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.